Top
90°

New Final Fantasy XIV PS4 Open Beta Client Now Available on the PlayStation Store

If you want to be ready for the opening of the floodgates of the last phase of the Final Fantasy XIV: A Realm Reborn open beta tomorrow (at 1 AM Pacific) you may want to start downloading the client, that has now been made available on the PlayStation Store.

Read Full Story >>
dualshockers.com
The story is too old to be commented.
Shad0wRunner1328d ago

It's been available on the PS4 store for a few days, now. I've had it downloaded. Just says "all world maintenance" when you load it up. Cant really do anything, yet.

TL241328d ago

Same here, I had to download it a few times to make sure it was beta phase 2.

Either way, there's "Maintenance" going on right now so hopefully Square Enix gets their shit together and folks will actually be able to launch the god damn game.

Shad0wRunner1328d ago

Im sure it will go live tomorrow night, at the designated time, when beta phase 2 starts.

I cant wait to transfer my ps3 version over to ps4. ^_^

rdgneoz31328d ago

"1 AM Pacific" So not too far away.

RE_L_MAYER1328d ago

do i need to redownload beta again???

Shad0wRunner1328d ago

Yes, you will need to delete the old beta and download the new one, for phase 2.

RE_L_MAYER1327d ago

thanks alot im half way through-stupid it doesnt really say that anywhere

moujahed1328d ago

Can't hardly wait to use my already existing character. Haven't played with him since GTA V released.

Shad0wRunner1328d ago

ATTENTION EVERYONE!

If you downloaded the phase 2 PS4 FFXIV client between April 1st and April 3rd, you need to go back into the PS4 store and re-purchase it again. No need to delete it and redownload it, just make sure you re-purchase it from the store. Square-Enix announced there was a bug in which NA users would not be able to log in correctly, when the beta goes live.

After you re-purchase it, on your PS4...go to settings>PSN>Account Information>Services List and find your FFXIV beta client. Click on it to make sure it says "Open Beta 2 Entitlement." If it says Open Beta 1 Entitlement, that's the OLD one and it will not work for phase 2.

Just a head's up... ^_-

Show all comments (11)